JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComponentPeer::ScaleFactorListener Struct Referenceabstract
juce_gui_basics » windows

Used to receive callbacks when the OS scale factor of this ComponentPeer changes. More...

`#include <juce_ComponentPeer.h>`

Inheritance diagram for ComponentPeer::ScaleFactorListener:

## Public Member Functions
virtual | ~ScaleFactorListener ()=default
| Destructor.
virtual void | nativeScaleFactorChanged (double newScaleFactor)=0
| Called when the scale factor changes.

## Detailed Description

Used to receive callbacks when the OS scale factor of this ComponentPeer changes.

This is used internally by some native JUCE windows on Windows and Linux and you shouldn't need to worry about it in your own code unless you are dealing directly with native windows.

## Constructor & Destructor Documentation

## ◆ ~ScaleFactorListener()

virtual ComponentPeer::ScaleFactorListener::~ScaleFactorListener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ nativeScaleFactorChanged()

virtual void ComponentPeer::ScaleFactorListener::nativeScaleFactorChanged | ( | double | newScaleFactor | ) |
| pure virtual

Called when the scale factor changes.

The documentation for this struct was generated from the following file:

- juce_ComponentPeer.h